File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes Struts and the fly likes Latest version of struts Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of EJB 3 in Action this week in the EJB and other Java EE Technologies forum!
JavaRanch » Java Forums » Frameworks » Struts
Bookmark "Latest version of struts" Watch "Latest version of struts" New topic
Author

Latest version of struts

Luke Zechariah
Ranch Hand

Joined: Sep 27, 2005
Posts: 117
I want to update my application to the latest version of struts. I went to apache struts website and downloaded Struts 2.1.8.1 distribution. Now I go the lib directory and I am not sure which file to copy. Is the "struts2-core-2.1.8.1.jar" file I have put in my application's library?
I am currently using struts 1.2, can you please let me know what files should I remove from my current application also so that they not redundant.

Another question I am using Java 1.4, if I upgrade struts should I upgrade Java version too?

Please let me know.

Thanks,
Lk.
David Newton
Author
Rancher

Joined: Sep 29, 2008
Posts: 12617

"Upgrading" from Struts 1 to Struts 2 is not what you think it is: they are very different frameworks.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Latest version of struts
 
Similar Threads
set property error?
Upgrading to Latest Struts 2 version
Autocompleter
Getting error: Unable to load configuration. - action
struts2 properties file reload